Virtualbox crashes after picking up latest Trusty updates

Bug #1294565 reported by Gerd Grundke on 2014-03-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

After picking up the latest Trusty updates on 03/19, Oracle VM Virtualbox 4.3.6-dfsg-2 crashes with this error

Failed to open a session for the virtual machine Windows 7-64 bit.

Failed to load VMMR0.r0 (VERR_SUPLIB_OWNER_NOT_ROOT).

Result Code: NS_ERROR_FAILURE (0x80004005)
Component: Console
Interface: IConsole {8ab7c520-2442-4b66-8d74-4ff1e195d2b6}

Please let me know how to when you need more system dumps.
---
ApportVersion: 2.13.3-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: ggrundke 3325 F.... pulseaudio
 /dev/snd/controlC0: ggrundke 3325 F.... pulseaudio
DistroRelease: Ubuntu 14.04
HibernationDevice: RESUME=UUID=d2b8e278-8758-447f-a9eb-6831bb55565f
InstallationDate: Installed on 2014-02-27 (20 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MachineType: LENOVO 24491D1
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=en_US
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 nouveaufb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.13.0-18-generic root=UUID=16cf338b-a7ee-4688-a7b5-ce4251061783 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.13.0-18.38-generic 3.13.6
PulseList:
 Error: command ['pacmd', 'list'] failed with exit code 1: Home directory not accessible: Permission denied
 No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-18-generic N/A
 linux-backports-modules-3.13.0-18-generic N/A
 linux-firmware 1.126
Tags: trusty
Uname: Linux 3.13.0-18-generic x86_64
UpgradeStatus: Upgraded to trusty on 2014-02-28 (19 days ago)
UserGroups:

_MarkForUpload: True
dmi.bios.date: 11/27/2013
dmi.bios.vendor: LENOVO
dmi.bios.version: G5ET96WW (2.56 )
dmi.board.asset.tag: Not Available
dmi.board.name: 24491D1
dmi.board.vendor: LENOVO
dmi.board.version: Win8 Pro DPK TPG
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrG5ET96WW(2.56):bd11/27/2013:svnLENOVO:pn24491D1:pvrThinkPadW530:rvnLENOVO:rn24491D1:rvrWin8ProDPKTPG:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 24491D1
dmi.product.version: ThinkPad W530
dmi.sys.vendor: LENOVO

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1294565/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
John Kim (kotux) on 2014-03-19
tags: added: trusty
tags: added: iso-testing
affects: ubuntu → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1294565

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Gerd Grundke (gerdgrundke) wrote :

ggrundke@Miraculix:~$ sudo apport-collect 1294565
The authorization page:
 (https://launchpad.net/+authorize-token?oauth_token=2ZfHrn9kMF612wxRKZDQ&allow_permission=DESKTOP_INTEGRATION)
should be opening in your browser. Use your browser to authorize
this program to access Launchpad on your behalf.
Press any key to continue or wait (5) seconds...

Waiting to hear from Launchpad about your decision...

(process:5503): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed

(firefox:5503): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::sm-connect after class was initialised

(firefox:5503): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::show-crash-dialog after class was initialised

(firefox:5503): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::display after class was initialised

(firefox:5503): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::default-icon after class was initialised

dpkg-query: no packages found matching linux

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Does this issue go away if you boot into the kernel version running before you applied the updates? That should be kernel version: 3.13.0-17

Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: regression-update
tags: added: kernel-da-key
Gerd Grundke (gerdgrundke) wrote :

I used grup to boot with these kernel vesions
- 3.13.0.16
- 3.13.0.17
- 3.13.0.18

but the issue remains. My virtualbox reports alwas

Failed to open a session for the virtual machine Windows 7-64 bit.

Failed to load VMMR0.r0 (VERR_SUPLIB_OWNER_NOT_ROOT).

Result Code: NS_ERROR_FAILURE (0x80004005)
Component: Console
Interface: IConsole {8ab7c520-2442-4b66-8d74-4ff1e195d2b6}

Please advise how to in case you need now deeper system logs, dumps, etc

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.14 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.14-rc7-trusty/

Gerd Grundke (gerdgrundke) wrote :

Used grub to verify these kernels
3.14.0.rc7
3.13.0.18
3.13.0.17
3.13.0.16

but all 4 failed and virtualbox reports the same issue

Failed to open a session for the virtual machine Windows 7-64 bit.

Failed to load VMMR0.r0 (VERR_SUPLIB_OWNER_NOT_ROOT).

Result Code: NS_ERROR_FAILURE (0x80004005)
Component: Console
Interface: IConsole {8ab7c520-2442-4b66-8d74-4ff1e195d2b6}

tags: added: kernel-bug-exists-upstream
Gerd Grundke (gerdgrundke) wrote :

Virtualbox log indicates an error with /usr

VirtualBox VM 4.3.6_Ubuntu r91406 linux.amd64 (Feb 16 2014 05:35:05) release log
00:00:00.437135 Log opened 2014-03-23T11:08:07.286560000Z
00:00:00.437137 Build Type: release
00:00:00.437143 OS Product: Linux
00:00:00.437146 OS Release: 3.13.0-18-lowlatency
00:00:00.437148 OS Version: #38-Ubuntu SMP PREEMPT Mon Mar 17 22:08:57 UTC 2014
00:00:00.437180 DMI Product Name: 24491D1
00:00:00.437194 DMI Product Version: ThinkPad W530
00:00:00.437415 Host RAM: 15687MB total, 14146MB available
00:00:00.437421 Executable: /usr/lib/virtualbox/VirtualBox
00:00:00.437423 Process ID: 1122
00:00:00.437424 Package type: LINUX_64BITS_GENERIC (OSE)
00:00:00.758856 Installed Extension Packs:
00:00:00.758880 VNC (Version: r0; VRDE Module: unusable because of 'The owner is not root: '/usr'
(rc=VERR_SUPLIB_OWNER_NOT_ROOT)')
00:00:00.835744 pdmR3LoadR0U: pszName="VMMR0.r0" rc=VERR_SUPLIB_OWNER_NOT_ROOT szErr="The owner is not root: '/usr'"
00:00:00.835782 VMSetError: /build/buildd/virtualbox-4.3.6-dfsg/src/VBox/VMM/VMMR3/VM.cpp(590) int vmR3CreateU(PUVM, uint32_t, PFNCFGMCONSTRUCTOR, void*); rc=VERR_SUPLIB_OWNER_NOT_ROOT
00:00:00.835788 VMSetError: Failed to load VMMR0.r0
00:00:00.835903 ERROR [COM]: aRC=NS_ERROR_FAILURE (0x80004005) aIID={8ab7c520-2442-4b66-8d74-4ff1e195d2b6} aComponent={Console} aText={Failed to load VMMR0.r0 (VERR_SUPLIB_OWNER_NOT_ROOT)}, preserve=false
00:00:00.840151 UIMediumEnumerator: Medium-enumeration finished!
00:00:00.841263 Using XKB for keycode to scan code conversion
00:00:00.918180 Power up failed (vrc=VERR_SUPLIB_OWNER_NOT_ROOT, rc=NS_ERROR_FAILURE (0X80004005))

Gerd Grundke (gerdgrundke) wrote :

sudo chown root:root /opt
sudo chown root:root /usr
sudo chown root:root /usr/lib

Resolved the issue

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers